Bug 497814 - TaskCoach cannot open old tasks file
TaskCoach cannot open old tasks file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: taskcoach (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 07:54 EDT by Basil Mohamed Gohar
Modified: 2009-10-13 21:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.74.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 04:53:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example TaskCoach tasks file that can no longer be opened (60.40 KB, application/xml)
2009-05-28 02:36 EDT, Basil Mohamed Gohar
no flags Details

  None (edit)
Description Basil Mohamed Gohar 2009-04-27 07:54:35 EDT
Description of problem:
TaskCoach cannot open my saved tasks file, which I've been using for nearly a year without any issues.

Version-Release number of selected component (if applicable):
taskcoach-0.72.5-1.fc11.i586

I've attached the file that cannot be opened.  I have not altered this file in any way, I've only accessed it through TaskCoach.
Comment 1 Rakesh Pandit 2009-05-24 06:05:15 EDT
i don't see any attachment .. may you reattach the file ?
Comment 2 Basil Mohamed Gohar 2009-05-28 02:36:03 EDT
Created attachment 345703 [details]
Example TaskCoach tasks file that can no longer be opened

This is text from a dial that pops-up when I try to open it.

Error while reading /home/basilgohar/Documents/eschool.tsk:
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/taskcoachlib/gui/iocontroller.py", line 104, in open
    self.__taskFile.load(filename, breakLock=breakLock)
  File "/usr/lib/python2.6/site-packages/taskcoachlib/persistence/taskfile.py", line 278, in load
    self.acquire_lock(filename)
  File "/usr/lib/python2.6/site-packages/taskcoachlib/persistence/taskfile.py", line 265, in acquire_lock
    self.__lock = lockfile.FileLock(filename)
  File "/usr/lib/python2.6/site-packages/taskcoachlib/thirdparty/lockfile/lockfile.py", line 166, in __init__
    tname = "%s-" % threading.current_thread().get_name()
AttributeError: '_MainThread' object has no attribute 'get_name'
Are you sure it is a Task Coach-file?
Comment 3 Bug Zapper 2009-06-09 10:39:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Sean Flanigan 2009-07-14 22:44:19 EDT
Going by the stack trace, I think these upstream bugs represent the same issue: 
http://sourceforge.net/tracker/?func=detail&aid=2804418&group_id=130831&atid=719134
http://sourceforge.net/tracker/?func=detail&aid=2761466&group_id=130831&atid=719134

Upstream version 0.72.6 is supposed to fix the problem (by shipping with lockfile 0.8).

As a workaround, to get at your data, you could try installing the upstream F11 rpm (currently 0.73.2-1) from http://www.taskcoach.org/download.html.  I had to remove the old taskcoach explicitly (yum remove tasktoach).  NB: the upstream installs itself as "taskcoach.py" rather than "taskcoach".
Comment 5 Bill Hamlin 2009-08-24 04:57:38 EDT
I had the same problem as the original reporter, and installing the latest upstream RPM (0.74.1-1) from the posted URL did solve the problem.
Comment 6 Rakesh Pandit 2009-09-21 23:35:12 EDT
I have re-build 0.74.1 for Fedora and can open this file.

http://kojipkgs.fedoraproject.org/packages/taskcoach/0.74.1/1.fc11/noarch/taskcoach-0.74.1-1.fc11.noarch.rpm

Even if you have check rpm compiled on upstream side for distro, may you recheck this again ?

Thanks,
Comment 7 Bill Hamlin 2009-09-22 04:41:14 EDT
Seems to work great.  No problems from my end.
Comment 8 Rakesh Pandit 2009-09-22 04:53:41 EDT
https://admin.fedoraproject.org/updates/taskcoach-0.74.1-1.fc11 is requested for update-testing.

I am closing this for now .. if problem persist please reopen.

Thanks,
Comment 9 Fedora Update System 2009-10-13 21:58:03 EDT
taskcoach-0.74.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.